{$IFDEF PATCH_HEART}
unit qrl_init;
{ Quasi Robot Language }

interface

uses sysutils, gears_base, gears;

const
	QRL_SystemDirectory: String = '';
	QRL_UserDirectory: String = '';
	QRL_FilePrefix: String = 'QRL';
	QRL_File_Default: String = 'default';
	QRL_ScriptFileExtName: String = '.lua';
{$IFDEF SDL2}
	QRL_ImageFileExtName: String = '.png';
{$ELSE SDL2}
{$ENDIF SDL2}
	QRL_SuspendFileExtName: String = '.luadump';
	QRL_Search_Pattern: String = '';

	QRL_GUID_TAG: String = 'QRL_GUID';

	QRL_FileName_TAG: String = 'QRL';

	QRL_Pilot_TAG: String = 'QRL_PILOT';

	QRL_Ptr_TAG: String = 'QRL_TAG';

	QRL_ChipMode_TAG: String = 'QRL_ChipMode';
	QRL_ChipMode_DEFAULT: Integer = 0;
	QRL_ChipMode_BEGIN: Integer = 1;
	QRL_ChipMode_END: Integer = 2;
	QRL_ChipMode_NORMAL: Integer = 3;
	QRL_ChipMode_EXEC: Integer = 4;

	QRL_Subroutine_Label: String = '_subroutine_';

	QRL_ChipMode_LoopCount_TAG: String = 'QRL_ChipMode_LoopCount';
	QRL_ChipMode_LoopCount_MAX = 1000;
	QRL_ChipMode_NumOfSquares_MAX = 100;

	QRL_Telecommunication_TAG: String = 'QRL_Telecommunication_';



implementation

{$IFDEF DEBUG}
uses errmsg;
{$ENDIF DEBUG}

const
	QRL_DirName = 'LuaData';



initialization
begin
{$IFDEF DEBUG}
	ErrorMessage_fork('DEBUG: qrl_init.pp');
{$ENDIF DEBUG}
	QRL_SystemDirectory := QRL_DirName + OS_Dir_Separator;
	QRL_UserDirectory := Config_Directory + QRL_DirName + OS_Dir_Separator;
	if not DirectoryExists( QRL_UserDirectory ) then begin
		MkDir( QRL_UserDirectory );
	end;

	QRL_Search_Pattern := QRL_FilePrefix + '*' + QRL_ScriptFileExtName;
end;

finalization
begin
{$IFDEF DEBUG}
	ErrorMessage_fork('DEBUG: qrl_init.pp(finalization)');
{$ENDIF DEBUG}
end;

end.
{$ENDIF PATCH_HEART}
